LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Virtualization and Cloud
User Name
Password
Linux - Virtualization and Cloud This forum is for the discussion of all topics relating to Linux Virtualization and Linux Cloud platforms. Xen, KVM, OpenVZ, VirtualBox, VMware, Linux-VServer and all other Linux Virtualization platforms are welcome. OpenStack, CloudStack, ownCloud, Cloud Foundry, Eucalyptus, Nimbus, OpenNebula and all other Linux Cloud platforms are welcome. Note that questions relating solely to non-Linux OS's should be asked in the General forum.

Notices

Reply
 
Search this Thread
Old 10-19-2009, 12:48 PM   #16
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176

Quote:
Originally Posted by {BBI}Nexus{BBI} View Post
It could be down to the kernel version why the entries no longer need to be in the fstab file anymore.
That's a plausible hypothesis. I have asked for more information on the VirtualBox forum.
 
Old 10-19-2009, 12:55 PM   #17
tronayne
Senior Member
 
Registered: Oct 2003
Location: Northeastern Michigan, where Carhartt is a Designer Label
Distribution: Slackware 32- & 64-bit Stable
Posts: 3,042

Rep: Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761
Quote:
Do I rightly understand that USB was not working with VirtualBox until you had the devgid=102,devmode=664 usbfs line in fstab nd not the other usbfs line?
Yup, you got it.

Slackware 13.0 (which is in many, many ways different that Slackware 12.2 and previous releases) uses UDEV and HAL to automagically mount devices (as I understand it; could be wrong about that); you plug in a flash drive, it is seen, it mounts (if you're a member of the plugdev group (which is 83), the Device Notifier pops up, you click it and there your go. On my system, vboxusers is group 102. Again, I'm not all that sure that I completely understand all of it, but that's what I think happens. Without that /etc/fstab entry, a guest operation system cannot see the flash dive (VirtualBox does see it, recognizes what it is, but does not pass that along to a guest operating system).

And, of course, with that /etc/fstab entry, the automagic mount no long happens so I have to figure out some way to manually mount the thing without VirtualBox running, write to or read from, unmount, start VirtualBox and use the flash drive. Neat, eh? I'm not thrilled with the way this works, but it does work and, for now, that's good enough to get done what I have to.
 
Old 10-19-2009, 12:56 PM   #18
New2Linux2
Member
 
Registered: Jan 2004
Location: Arizona
Distribution: Debian
Posts: 146

Rep: Reputation: 43
BTW, before I added my user account to the vboxusers group, everything worked in virtualbox EXCEPT for USB devices. After just that one minor change, which had to be done manually, USB devices are accessible in the virtual machines. I find it odd that everything else worked just fine without the user being added to that group. One would think that there would be just a few other permissions needed to run VMs on a workstation, hence the necessity of a vboxusers group. Just my $.02.
 
Old 10-19-2009, 01:05 PM   #19
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Quote:
Originally Posted by New2Linux2 View Post
BTW, before I added my user account to the vboxusers group, everything worked in virtualbox EXCEPT for USB devices. After just that one minor change, which had to be done manually, USB devices are accessible in the virtual machines. I find it odd that everything else worked just fine without the user being added to that group. One would think that there would be just a few other permissions needed to run VMs on a workstation, hence the necessity of a vboxusers group. Just my $.02.
Given that VirtualBox comprises kernel modules and some setuid-root executables:
Code:
c:/opt/VirtualBox$ ls -l | grep 'r-s'
-r-s--x--x 1 root root   18620 Sep  9 23:16 VBoxHeadless
-r-s--x--x 1 root root    6620 Sep  9 23:16 VBoxNetAdpCtl
-r-s--x--x 1 root root   18616 Sep  9 23:16 VBoxNetDHCP
-r-s--x--x 1 root root   18612 Sep  9 23:16 VBoxSDL
-r-s--x--x 1 root root   18616 Sep  9 23:16 VirtualBox
it could do anything (?) it wanted. Perhaps the restriction on USB devices is implemented to give sysadmins finer control.
 
Old 10-19-2009, 01:14 PM   #20
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Quote:
Originally Posted by tronayne View Post
And, of course, with that /etc/fstab entry, the automagic mount no long happens so I have to figure out some way to manually mount the thing without VirtualBox running, write to or read from, unmount, start VirtualBox and use the flash drive. Neat, eh? I'm not thrilled with the way this works, but it does work and, for now, that's good enough to get done what I have to.
Which group's GID have you got in the usbfs' devgid? I am running Slackware 13.0 and VBox 3.0.6; with the plugdev GID configured in the devigid, when a USB memory stick is inserted Slackware mounts it and opens a Thunar window showing its contents. When I use a VM's window's Devices->"USB Devices" menu to list the USB devices and click in the device's box, it is unmounted on the host and available to the VM. When I clear the device's box, releasing the device from the VM, the device is mounted on the host and a Thunar window again opened. Is that what you would like to happen?
 
Old 10-19-2009, 01:55 PM   #21
tronayne
Senior Member
 
Registered: Oct 2003
Location: Northeastern Michigan, where Carhartt is a Designer Label
Distribution: Slackware 32- & 64-bit Stable
Posts: 3,042

Rep: Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761
Quote:
Which group's GID have you got in the usbfs' devgid? I am running Slackware 13.0 and VBox 3.0.6; with the plugdev GID configured in the devigid, when a USB memory stick is inserted Slackware mounts it and opens a Thunar window showing its contents. When I use a VM's window's Devices->"USB Devices" menu to list the USB devices and click in the device's box, it is unmounted on the host and available to the VM. When I clear the device's box, releasing the device from the VM, the device is mounted on the host and a Thunar window again opened. Is that what you would like to happen?
Oh, yeah, that's what I would like to happen, only thing is, I can't figure out how to do it. If I have this in /etc/fstab,
Code:
none             /proc/bus/usb    usbfs       devgid=102,devmode=664 0 0
a flash drive does not mount but WinXP in VirtualBox can see and access it (the GID, 102, is the group id for vboxusers). Other than that line, there isn't anything in /etc/fstab about USB. Have I missed something somewhere?

If I have this entry in /etc/fstab in addition to the one above, I can't see the flash drive in either the Slackware side or the VirtualBox side
Code:
usbfs            /proc/bus/usb    usbfs       auto             0   0
Must have missed something somewhere in my basic education, methinks.
 
Old 10-19-2009, 02:15 PM   #22
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Quote:
Originally Posted by tronayne View Post
Oh, yeah, that's what I would like to happen, only thing is, I can't figure out how to do it. If I have this in /etc/fstab,
Code:
none             /proc/bus/usb    usbfs       devgid=102,devmode=664 0 0
Change 102 to the number of the plugdev group (83?) and make sure the VBox user is in the plugdev group (and, if you have to add the user to the plugdev group, log out and back in).
 
Old 10-19-2009, 02:50 PM   #23
tronayne
Senior Member
 
Registered: Oct 2003
Location: Northeastern Michigan, where Carhartt is a Designer Label
Distribution: Slackware 32- & 64-bit Stable
Posts: 3,042

Rep: Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761
Dang -- could have sworn I tried that once and got nowhere (I've had all user id's in plugdev since installation).

Works now.

Thanks for the input.
 
Old 10-19-2009, 02:58 PM   #24
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Quote:
Originally Posted by catkin View Post
I have asked for more information on the VirtualBox forum.
Sasquatch replied (I don't think he ever sleeps and always gives great advice). Here's what he wrote:
Quote:
Originally Posted by Sasquatch
Newer distributions no longer support the method that was used since 1.5 or somewhere near that. It was on /proc/bus/usb, but is now obsolete. Instead of that, some udev rules are created when you install VB (PUEL only, OSE doesn't support USB). In the rules is noted that the group vboxusers has access to USB. This is the rule:
Code:
    KERNEL=="vboxdrv", NAME="vboxdrv", OWNER="root", GROUP="root", MODE="0600"
    SUBSYSTEM=="usb_device", GROUP="vboxusers", MODE="0664"
    SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", GROUP="vboxusers", MODE="0664"
Sure enough, there is a /etc/udev/rules.d/10-vboxdrv.rules file on my Slackware 13.0 system running VirtualBox 3.0.6 PUEL containing exactly those lines.

I'll comment out the fstab line for usbfs, see if VBox/USB is still working after the next reboot and report back.

tronayne, your USB wasn't working until you had the usbfs line in fstab; do you have /etc/udev/rules.d/10-vboxdrv.rules as above and were you in the vboxusers group?
 
Old 10-19-2009, 03:03 PM   #25
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Quote:
Originally Posted by tronayne View Post
Dang -- could have sworn I tried that once and got nowhere (I've had all user id's in plugdev since installation).
Ah, those senior moments! I've just spent 30 minutes trying to find out why xarchiver didn't work only to find I'd done all the build, even saved the SBo.tgz file for next time, but forgot to run installpkg
 
Old 10-19-2009, 03:19 PM   #26
tronayne
Senior Member
 
Registered: Oct 2003
Location: Northeastern Michigan, where Carhartt is a Designer Label
Distribution: Slackware 32- & 64-bit Stable
Posts: 3,042

Rep: Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761Reputation: 761
Quote:
Ah, those senior moments! I've just spent 30 minutes trying to find out why xarchiver didn't work only to find I'd done all the build, even saved the SBo.tgz file for next time, but forgot to run installpkg
Oh, yeah -- have a lot of those (I'm 65 and, trust me, the further you go the more you... what was I talking about?).

In /etc/usb/rules.d the file 10-vboxdrv.rules looks like this (believe that's the same as above):
Code:
cat 10*
KERNEL=="vboxdrv", NAME="vboxdrv", OWNER="root", GROUP="root", MODE="0600"
SUBSYSTEM=="usb_device", GROUP="vboxusers", MODE="0664"
SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", GROUP="vboxusers", MODE="0664"
That's the way it's been since the initial installation of VirtualBox (VirtualBox-3.0.8-53138-Linux_x86.run) -- and it never worked until that (apparently correct) entry in /etc/fstab.
 
Old 10-19-2009, 03:37 PM   #27
0rwell
LQ Newbie
 
Registered: Sep 2009
Posts: 18

Rep: Reputation: 2
I tried running this on SLED11 (SuSE Linux Enterprise Desktop) and get the following output:


Code:
golyaht@boaz:~/testing> ./virtualbox_usb.sh 
VirtualBox PUEL version found.  OK
Name of user used to run VirtualBox: golyaht
usbfs line found in /etc/fstab.  OK.
Here is the usbfs line from /etc/fstab: usbfs /proc/bus/usb usbfs gid=500 0 0
ERROR: No devgid option on usbfs line in /etc/fstab
golyaht@boaz:~/testing>
And I modified my /etc/fstab as the following:

Code:
/dev/disk/by-id/ata-ST3750630AS_9QK1C3A5-part3 swap                 swap       defaults              0 0
/dev/disk/by-id/ata-ST3750630AS_9QK1C3A5-part2 /                    reiserfs   acl,user_xattr        1 1
/dev/disk/by-id/ata-ST3750630AS_9QK1C3A5-part1 /boot                reiserfs   acl,user_xattr        1 2
proc                 /proc                proc       defaults              0 0
sysfs                /sys                 sysfs      noauto                0 0
debugfs              /sys/kernel/debug    debugfs    noauto                0 0
usbfs                /proc/bus/usb        usbfs      gid=500                0 0
devpts               /dev/pts             devpts     mode=0620,gid=5       0 0
I think I may have modified the usbfs line incorrectly, but either way that's the issue I have with the script.

HTH

_0rwell
 
Old 10-20-2009, 06:21 AM   #28
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Here's a new version of the script, modified to accept udev rules for VirtualBox or fstab usbfs
Code:
#! /bin/bash

# ck_vbox_USB.sh, a quick-and-dirty script to sanity-check host config for VirtualBox USB.

# Usage: no arguments or options

# Change history
# 18oct9 Charles
#    * Added RPM enquiry (and skeleton dpkg enquiry).
# 20oct9 Charles
#    * Added udev rules detection (fstab usbfs line no longer mandatory).
#    * Added vboxdrv kernel module detection.
#    * Added temporary file removal.

# Set up environment
PATH="/usr/bin:/bin:/usr/sbin:/sbin"
set -o nounset
unset IFS
tmp_afn="$(mktemp "/tmp/$0.XXXXXX")"
[[ $? -ne 0 ]] && \echo "ERROR: unable to create temporary file (this is not a VirtualBox USB problem)" >&2 && \exit 1
trap "rm -f $tmp_afn" EXIT

# Set up line feed
lf=$'\n'

function ck_PUEL {

    typeset msg OK_flag ERROR_flag
    OK_flag='NO'
    ERROR_flag='NO'

    # Default (?) VBox config file
    if [[ -r '/etc/vbox/vbox.cfg' ]]; then
        . /etc/vbox/vbox.cfg
        license_afn="$INSTALL_DIR/LICENSE"
        if [[ -r "$license_afn" ]]; then
            if grep 'PUEL' "$license_afn" > /dev/null ; then
                OK_flag='YES'
            else
                ERROR_flag='YES'
            fi
        else
            echo "WARNING: Could not read '$license_afn' identified by /etc/vbox/vbox.cfg" >&2
        fi
    fi

    # RPM
    if type rpm > /dev/null 2>&1 ; then
        case "$( rpm -qi VirtualBox 2>&1 )" in
            *PUEL* )
                OK_flag='YES'
                ;;
            *'is not installed'* )
                ;;
            * )
                ERROR_flag='YES'
        esac
    fi

    # .deb
    if type dpkg > /dev/null 2>&1 ; then
       \echo 'WARNING: this script is not programmed for .deb package systems'
    fi

    # Report findings
    if [[ "$OK_flag" = 'YES' ]]; then
        \echo 'VirtualBox PUEL version found.  OK'
        if [[ "$ERROR_flag" = 'YES' ]]; then
            \echo 'WARNING: VirtualBox non-PUEL version also found.  ???' >&2
        fi
    elif [[ "$ERROR_flag" = 'YES' ]]; then
        \echo 'ERROR: Installed VirtualBox is not the PUEL version so USB not supported' >&2 && \exit 1
    else
        \echo 'WARNING: unable to determine which version of VirtualBox, if any, is installed'
    fi

} # ck_PUEL

# Check for VirtualBox PUEL version
ck_PUEL

# Get user name
while true
do
    \echo -n 'Name of user used to run VirtualBox: '
    read user
    grep "^$user:" /etc/passwd > /dev/null && break
    echo "User $user not found in /etc/passwd. Try again (or Ctrl+C to exit)"
done

# Is VirtualBox using udev rules?
vbox_udev_rules_afn='/etc/udev/rules.d/10-vboxdrv.rules'
if [[ -e "$vbox_udev_rules_afn" ]]; then
    \echo "This computer has udev rules file for VirtualBox, $vbox_udev_rules_afn.  OK"

    # Get group and access mode
    [[ ! -r "$vbox_udev_rules_afn" ]] && \echo "ERROR: $vbox_udev_rules_afn not readable by this script (OK for VirtualBox USB if readable by root)" >&2 && \exit 1
    grep -E '^SUBSYSTEM=="(usb")|(usb_device")' "$vbox_udev_rules_afn" > "$tmp_afn"
    while read line
    do
        IFS=','; array=($line); unset IFS
        for ((i=1; i<${#array[*]}; i++))
        do
            field="${array[$i]}"
            case "$field" in
                *'GROUP="'* )
                    buf="${field#*GROUP=\"}"
                    buf="${buf%\"*}"
                    if [[ "${group:-}" = '' ]];then
                        group="$buf"
                    elif [[ "$buf" != "$group" ]]; then
                        \echo "WARNING: different groups ('$group' and '$buf') in $vbox_udev_rules_afn. Ignoring '$buf'"
                    fi
                    ;;
                *'MODE="'* )
                    buf="${field#*MODE=\"}"
                    buf="${buf%\"*}"
                    if [[ "${mode:-}" = '' ]];then
                        mode="$buf"
                    elif [[ "$buf" != "$mode" ]]; then
                        \echo "WARNING: different modes ('$mode' and '$buf') in $vbox_udev_rules_afn. Ignoring '$buf'"
                    fi
                    ;;
            esac
        done
    done < "$tmp_afn"
    [[ "${group:-}" = '' ]] && \echo "ERROR: No group found for 'usb' or 'usb_device' in $vbox_udev_rules_afn" >&2 && \exit 1
    [[ "${mode:-}" = '' ]] && \echo "ERROR: No mode found for 'usb' or 'usb_device' in $vbox_udev_rules_afn" >&2 && \exit 1

    \echo "Group used for VirtualBox USB access is $group."
else
    # No udev rues -- needs fstab with usbfs line
    \echo "This computer does not have udev rules file for VirtualBox, $vbox_udev_rules_afn. Checking fstab"
    grep -v '^#' /etc/fstab | grep usbfs > /"$tmp_afn"
    while read line
    do
        [[ "${array:-}" != '' ]] && echo "WARNING: More than one usbfs line in /etc/fstab. Effect on VirtualBox unknown$lfHere is fstab:$lf$(cat /etc/fstab)" >&2 && break
        \echo "usbfs line found in /etc/fstab.  OK."
        \echo "Here is the usbfs line from /etc/fstab: "$line

        # Get GID and access mode
        array=($line)
        options="${array[3]}"
        IFS=','; array=($options); unset IFS
        for ((i=0; i<${#array[*]}; i++))
        do
            option="${array[$i]}"
            case "$option" in
                'devgid='* )
                    gid="${option#devgid=}"
                    ;;
                'devmode='* )
                    mode="${option#devmode=}"
                    ;;
            esac
        done
        [[ "${gid:-}" = '' ]] && \echo "ERROR: No devgid option on usbfs line in /etc/fstab" >&2 && \exit 1
        [[ "${mode:-}" = '' ]] && \echo "ERROR: No devmode option on usbfs line in /etc/fstab" >&2 && \exit 1
    done < "$tmp_afn"
    [[ "${array:-}" = '' ]] && echo "ERROR: no usbfs line in /etc/fstab" >&2 && \exit 1
    \echo "Group ID (GID) used for VirtualBox USB access is $gid."
fi

# Check group by name or ID
if [[ "${group:-}" != '' ]]; then
    group_line="$(grep "^$group:" /etc/group)"
    [[ "$group_line" = '' ]] && \echo "ERROR: group '$group' does not exist in /etc/group" >&2 && \exit 1
    \echo "Group $group found in /etc/group.  OK."
    \echo "Here is group $group from /etc/group: $group_line"
else
    group_line="$(grep "^[^:]*:[^:]*:$gid:" /etc/group)"
    [[ "$group_line" = '' ]] && \echo "ERROR: GID $gid does not exist in /etc/group" >&2 && \exit 1
    \echo "GID $gid found in /etc/group.  OK."
    \echo "Here is group $gid from /etc/group: $group_line"
fi
IFS=':'; array=($group_line)
group="${array[0]}"; gid="${array[2]}"
IFS=','; array=(${array[3]}); unset IFS
OK='no'
for ((i=0; i<${#array[*]}; i++))
do
    user_in_group="${array[$i]}"
    case "$user_in_group" in
        "$user" )
            OK='yes'
            break
            ;;
    esac
done
[[ "$OK" = 'no' ]] && \echo "ERROR: User ($user) is not in  GID $gid" >&2 && \exit 1
\echo "User $user is in group $group with GID $gid.  OK."

# Check access mode
# udev rules usually has 4 digits, fstab 3 digits.  Assume it's OK for either to have 3-4 ...
\echo "Access mode used for VirtualBox USB access is $mode."
[[ "${#mode}" -lt 3 ||  "${#mode}" -gt 4 || "${mode//[0-9]/}" != '' ]] && \echo "ERROR: access mode ($mode) is not 3 to 4 integers" >&2 && \exit 1
group_mode="${mode:((${#mode} - 2)):1}"
let group_write=group_mode-4
[[ $group_write -lt 2 ]] && \echo "ERROR: access mode ($mode) does not include 'group write'" >&2 && \exit 1
\echo "Access mode ($mode) includes 'group write'.  OK"

# Check kernel module vboxdrv loaded
if ! lsmod | grep '^vboxdrv' > /dev/null ; then
    \echo "ERROR: kernel module vboxdrv not loaded" >&2 && \exit 1
else
    \echo "Kernel module vboxdrv loaded.  OK"
fi

\echo "All tests passed.  OK.  :-)"

exit 0
 
Old 10-20-2009, 06:37 AM   #29
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Thanks 0rwell

The script is evolving, thanks to people like you who are testing it on different platforms.

Turns out VirtualBox after version ~1.5 uses udev rules if available in which case there is no need for a usbfs line in fstab. I've just posted a new version of the script that takes account of that.

I don't know SLED11 or if it supports udev. Assuming it doesn't then you need to get the fstab usbfs line right. Yours looks OK except for the options column where you have gid=500. Usually it needs something like devgid=102,devmode=664. The 102 needs to be changed to the number of a group that the VirtualBox VM user is a member of. If SLED11 has a group for USB device users -- perhaps usbusers (on Slackware it's group plugdev) -- then that is the best choice. If not, use vboxusers. Check your /etc/group file for a list of group names and numbers (know as group IDs or GIDs).
 
Old 10-20-2009, 07:07 AM   #30
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,546
Blog Entries: 28

Original Poster
Rep: Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176Reputation: 1176
Quote:
Originally Posted by catkin View Post
I'll comment out the fstab line for usbfs, see if VBox/USB is still working after the next reboot and report back.
It's working fine with no usbfs line in fstab. But I know a defective fstab usbfs line will break VirtualBox USB. Presumably the fstab line overrides the udev rules. Time for another modification to the script.
 
  


Reply

Tags
configuration, script, usb, virtualbox


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
70+ bug-fixes fro WindowMaker [testers wanted] gnashley Slackware 7 12-12-2009 08:38 AM
LXer: SwapBoost v0.1alpha - early testers wanted LXer Syndicated Linux News 0 07-08-2007 09:46 PM
Wanted: 2.6.20.2 .config for laptop, Please herbietheferret Linux - Kernel 4 04-05-2007 06:23 AM
Beta testers wanted for new distro (IBLS) ico2 Linux - Distributions 4 12-31-2005 07:18 AM
Wanted: A place to UL/DL kernel config files. FallGuy Mandriva 6 11-07-2003 03:38 PM


All times are GMT -5. The time now is 07:29 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration